Bug 220943 - Review Request: po4a - A tool maintaining translations anywhere
Review Request: po4a - A tool maintaining translations anywhere
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: manuel wolfshant
Fedora Package Reviews List
:
Depends On: 220944
Blocks: FE-ACCEPT 220888
  Show dependency treegraph
 
Reported: 2006-12-29 07:19 EST by Axel Thimm
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-01-06 21:05:30 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Axel Thimm 2006-12-29 07:19:19 EST
Spec URL: http://dl.atrpms.net/all/po4a.spec
SRPM URL: http://dl.atrpms.net/all/po4a-0.29-3.at.src.rpm
Description: 

The po4a (po for anything) project goal is to ease translations (and
more interestingly, the maintenance of translations) using gettext
tools on areas where they were not expected like documentation.
Comment 1 Peter Gordon 2007-01-04 22:49:09 EST
[ Withdrawing myself as reviewer of this package due to BuildRoot disagreements.
See bug #220888 comment 15 for information. ]
Comment 2 manuel wolfshant 2007-01-05 00:08:57 EST
Not a very official review because I am not in fedorabugs group yet (just
requested that).

MUST items
- rpmlint on source returns only 
E: po4a unknown-key GPG#66534c2b
which can safely be ignored
- package meets naming guidelines
- package meets almost all packaging guidelines; it does not respect the
preferred buildroot, but this is not a blocker
- license is GPL, text (COPYING) is included in %doc, matches upstream
- spec file legible, in am. english 
- sha1sum 7319dcb1cbbfdff5fb5fb73cd2af92695732a36e matches upstream
- locale included via %{perl_vendorlib}/Locale/Po4a
- not relocatable
- no duplicate files
- permissions ok
- %clean ok
- macro use consistent
- code, not content
- no need for -docs
- nothing in %doc seems to affect runtime (could not test because package does
not build in my mock)
- no .la files
- based on spec examination, does not seem to own files or directories already
owned by other packages
- no need for .desktop file


Should
- mock build for i386/fc6&devel fails with "Cannot find build req
perl(Text::WrapI18N). Exiting."

Maybe I should add something to the repo list in mock? I have tested both fc6
and devel, with core, extras and plague-results included.
Comment 3 Axel Thimm 2007-01-05 00:29:36 EST
> - nothing in %doc seems to affect runtime (could not test because package
> does not build in my mock)

> - mock build for i386/fc6&devel fails with "Cannot find build
> req perl(Text::WrapI18N). Exiting."

That's because this package depends on two not-yet-includes perl packages that
have been sumitted as well (follow the "blocked by" entries).

> Maybe I should add something to the repo list in mock? I have tested both fc6
> and devel, with core, extras and plague-results included.

You can build the two dependencies (note that they depend on each-other, so the
order matters) and add them to the setup. If you're lazy you can use the
pre-built packages for them I placed into ATrpms, but building yourself would be
preferred (and even better would it be to get them reviewed, too :).

Thanks!
Comment 4 manuel wolfshant 2007-01-05 04:35:59 EST
OK, I will try to review them, although I am quite parallel with Perl.
Comment 5 Mamoru TASAKA 2007-01-05 04:49:24 EST
(In reply to comment #2)
> Should
> - mock build for i386/fc6&devel fails with "Cannot find build req
> perl(Text::WrapI18N). Exiting."
> 
> Maybe I should add something to the repo list in mock? I have tested both fc6
> and devel, with core, extras and plague-results included.
> 

(In reply to comment #3)
> 
> That's because this package depends on two not-yet-includes perl packages 
> that
> have been sumitted as well (follow the "blocked by" entries).

FYI:
I attach here a comment which was sent to other person
who asked me about a same situation.

======================================================
There may be many cases in which you have to use packages
which are not imported into FE yet for mockbuild.
This can be done by following (I write for my case)


1. yum install createrepo
2. Create some directory. For my case,

   mkdir -p /var/lib/mock/LOCALRPMS/{i386,SRPMS}
3. put binary rpms into /var/lib/mock/LOCALRPMS/i386,
   srpm into /var/lib/mock/LOCALRPMS/SRPMS
4. cd /var/lib/mock/LOCALRPMS/i386
   createrepo $(pwd)

   Then repodata directory is created and some files
   are created under the directory
5. Change the permissions so that all files under
   /var/lib/mock/LOCALRPMS can be read by users
   who want to use mockbuild
6. Add the following to config file in /etc/mock
--------------------------------------------------
[LOCAL]
name=LOCAL
baseurl=file:///var/lib/mock/LOCALRPMS/i386/

--------------------------------------------------

Then you can use rpms under /var/lib/mock/LOCALRPMS/i386
for mockbuild
Comment 6 Axel Thimm 2007-01-05 04:52:02 EST
Thanks, Mamoru. If this happens often (and I guess it does) maybe the above is
worth while to get into the wiki? Then we can just point people to this page.
Comment 7 Mamoru TASAKA 2007-01-05 04:59:23 EST
(In reply to comment #6)
> Thanks, Mamoru. If this happens often (and I guess it does) maybe the above is
> worth while to get into the wiki? Then we can just point people to this page.

Well, then I will try to add about this first on my wiki
pages.
Comment 8 manuel wolfshant 2007-01-05 08:51:20 EST
I'll continue reviewing this one ASAP, probably Sunday
Comment 9 manuel wolfshant 2007-01-06 08:03:09 EST
Continuing review from where I have left it:

MUST
- successfully builds in mock for i386 (with two (identical) warnings: Use of
uninitialized value in concatenation (.) or string at
/usr/lib/perl5/vendor_perl/5.8.8/Module/Build/Base.pm line 3450.)
- locale handled by %find_lang %{name} [1]
- seems to own all files it creates, does not own foreign files
- no scriptlets included

SHOULD
- includes translations for supported Non-English languages
- compiles and builds in mock/devel, results as no-arch package
- runs on FC6

[1] in the build log I see plenty of lines similar to
  it: 276 translated messages, 78 fuzzy translations, 717 untranslated messages.
  ca: 826 translated messages, 85 fuzzy translations, 160 untranslated messages.


Assuming the warnings issued at compile time are not dangerous [although I think
upstream should be bugged for a fix] this package is APPROVED
Comment 10 Axel Thimm 2007-01-06 21:05:30 EST
Thanks, package imported, built for devel and CVS branches requested.

Note You need to log in before you can comment on or make changes to this bug.